Resolution: Invalid Affected version: 3.4.2

Description

System Info

Ubuntu 14.04.5

sqlite 2.8.17

ruby 2.1.5

rails (4.2.8, 4.2.7.1, 4.2.5.2, 4.2.4, 3.2.22.2, 3.2.21) ?? from GEM list

Redmine 3.4.2

The plugins we are running are:

1. Additionals

2. Redmine Drawio plugin

3. Image Clipboard Paste

4. Redmine Lightbox 2

5. Redmine Silencer 2

6. Redmine Theme Changer plugin

7. Redmine Wiki Lists plugin

8. ERPmine

9. Redmine Workflow Enhancements

Tracker configuration issue

When configuring a tracker (we have about 35 of them), all the fields will updated when save is pressed accept for any selected

"Issue statuses". Trackers that had "Issue statuses" set, are not changed, and new trackers can not have there "Issue statuses"

set. We have about 80 issues statuses FWIW.

Looking at the redmine logs, here is the loged output from two "Saves", one with two issue status checked, one with non checked.

regardless the "Patch" does not appear to affect the database.

Save 1 with 2 issue statuses selected (ID's highlighted)

Started PATCH "/redmine/trackers/39" for 192.168.50.254 at 2017-09-23 14:36:44 -0500

Processing by TrackersController#update as HTML

Parameters: {"utf8"=>"✓",

"authenticity_token"=>"boE2LA057ubck5DzP5jXEpPWbSfjH+NVwm06uQaTwV1OIXpakRvbmbnD7AVPXmnGB2cxAAmnfvOecG+N

Gy2+Tw==", "tracker"=>{"name"=>"Actuator Connector", "default_status_id"=>"73", "is_in_roadmap"=>"1",

core_fields"=>["assigned_to_id", "description", ""], "custom_field_ids"=>[""], "project_ids"=>["61", ""], 

"predef_issue_status_ids"=>["14", "73"]}, "commit"=>"Save", "id"=>"39"}

Current user: hglenn (id=3)

Save 2 with no issues status selected, ("predef_issue_status_ids" missing from commit)

Started PATCH "/redmine/trackers/39" for 192.168.50.254 at 2017-09-23 14:37:25 -0500

Processing by TrackersController#update as HTML

Parameters: {"utf8"=>"✓",

"authenticity_token"=>"6Bmn2eE2l1aXKoX70yY1zd/Rmg2wXNK6QRqCq2dDCBrIueuvfRSiKfJ6+Q2j4IsZS2DGKlrkTxwdB9efev13C

A==", "tracker"=>{"name"=>"Actuator Connector", "default_status_id"=>"73", "is_in_roadmap"=>"1",

"core_fields"=>["assigned_to_id", "description", ""], "custom_field_ids"=>[""], "project_ids"=>["61", ""]}, "commit"=>"Save", "id"=>"39"}
It appears the commit / PATCH is not updating the "predef_issue_status_ids" fields, but all other fields seem to work as expected. I

looked through the database and could verify that "tracker_statuses" Table was not being updated after the PATCH.

This redmine instance is running redmine 3.4.2, but the issue also existed in 3.4.1.

I believe the issue started when we updated from 2.6.X to 3.4.1. But we did not catch it right away.

I suppose it could also be a plugin issues, I have not disabled / removed them yet to see if it fixes it. If that could be helpful let me

know and I will do so.

Thanks for an amazing system.

History

#1 - 2017-10-02 08:08 - Hal Glenn

- Status changed from New to Resolved

Looks like this is a plugin issue. I started removing plugins and the Redmine Workflow Enhancements was creating "Issue Status" field selection to

help with workflow generation.

I did not realize it was a feature added by the plugin, sorry for the false alarm.

Thanks!

#2 - 2017-10-02 08:20 - Marius BĂLTEANU

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback.
